de.caff.generics

## Class Dict.Base<KK,VV>

- java.lang.Object
- - de.caff.generics.Dict.Base<KK,VV>

- All Implemented Interfaces:
    Dict<KK,VV>
  Enclosing interface:
    Dict<K,V>

      public abstract static class Dict.Base<KK,VV>
      extends java.lang.Object
      implements Dict<KK,VV>

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.Dict

      `Dict.Base<KK,VV>, Dict.Entry<EK,EV>`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.Dict

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dict.Base<KK,VV>` | `asBase()` Convert this into a `Dict.Base` to have useful implementations for some standard Object methods.
    `boolean` | `equals(java.lang.Object o)` Equals implementation.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.Dict

      `addAllTo, digest, digestFragile, digestFragileOrElse, digestOrElse, empty, entries, equal, filtered, forEachEntry, forEachEntryFragile, fromTuples, frozen, get, getNonNull, getOr, getOrDefault, hasKey, isEmpty, keys, require, requireNonNull, singleton, size, supplyFragileOrElse, supplyOrElse, toString, trySupply, trySupplyFragile, values, valueView, viewMap, viewMap, viewMap2, viewMap2, viewNullableMap, viewNullableMap`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public Dict.Base<KK,VV> asBase()

      Description copied from interface: `Dict`
      Convert this into a `Dict.Base` to have useful implementations for some standard Object methods.
      Specified by:
        `asBase` in interface `Dict<KK,VV>`
      Returns:
        this converted into a Base or this itself if this is already a base

    - #### equals

          public boolean equals(java.lang.Object o)

      Equals implementation. This implementation depends on the order of the entries returned from `Dict.entries()`, so two `Dict`s with the same content differ when the order differs. This is consistent with the implementation this class provides for `hashCode()`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - other object which is checked for equality
      Returns:
        `true` when o is equal to this
        `false` otherwise

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`